# Local Kubernetes profile for Docker Desktop on macOS.
# This profile keeps the full CuteOS runtime in-cluster while staying small
# enough for a laptop. Use it with explicit public image overrides.

api:
  env:
    CUTEOS_ENV: "dev"
    CUTEOS_PROOF_CHECKPOINT_SCHEDULE_MODE: "interval"
    CUTEOS_PROOF_CHECKPOINT_INTERVAL_SECONDS: "900"
    CUTEOS_PROOF_CONTROLLER_INTERVAL_SECONDS: "30"
    CUTEOS_CORS_ALLOWED_ORIGINS: "http://localhost:18081,http://127.0.0.1:18081,http://localhost:5173,http://127.0.0.1:5173"
    CUTEOS_PACK_TRUST_MODE: "warn"
  persistence:
    size: 12Gi

executionRunner:
  env:
    CUTEOS_ENV: "dev"
    CUTEOS_EXECUTION_QUEUE_WORKERS: "1"
    CUTEOS_EXECUTION_JOB_TTL_SECONDS: "900"
    CUTEOS_EXECUTION_JOB_CPU_REQUEST: "100m"
    CUTEOS_EXECUTION_JOB_CPU_LIMIT: "500m"
    CUTEOS_EXECUTION_JOB_MEMORY_REQUEST: "256Mi"
    CUTEOS_EXECUTION_JOB_MEMORY_LIMIT: "1Gi"

connector:
  enabled: false

openclawCompat:
  enabled: false

nats:
  persistence:
    size: 4Gi

postgres:
  persistence:
    size: 8Gi

openbao:
  persistence:
    size: 4Gi

minio:
  persistence:
    size: 16Gi

externalSecrets:
  enabled: false

web:
  service:
    type: ClusterIP

edgeTrusted:
  enabled: false

edgeUntrusted:
  enabled: false

resourceQuota:
  enabled: false

limitRange:
  enabled: false

networkPolicy:
  enabled: false
